Subject: Re: bug#73552: obsolete (and broken) face attribute :reverse-video
From: Mattias Engdegård <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: Gerd Möllmann <[email-masked]>, Eli Zaretskii <[email-masked]>, Stefan Monnier <[email-masked]>, [email-masked]
Date: Sun, 29 Sep 2024 18:22:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

29 sep. 2024 kl. 15.49 skrev Eli Zaretskii <[email-masked]>:

> I think the use of :reverse-video in make-mode.el should be changed to
> :inverse-video.

Oh, certainly (compiling that file now yields a warning).

The few extant uses of :reverse-video discovered so far seem to be fall-back cases for non-colour displays, decidedly a rarity these days.

>  Otherwise, I'm okay with retiring this old and
> half-supported alias.

Thank you, now done.

29 sep. 2024 kl. 15.55 skrev Stefan Kangas <[email-masked]>:

> We could start by doing s/:bold t/:weight bold/ and
> s/:italic t/:slant italic/ in our tree.

Yes, maybe later. At least these still work, and are widely used by external packages.

> I'd propose adding obsoletion warnings for :bold and :italic.  I note
> that they are not documented in the elisp manual.

Wr probably should but the compilation warnings only catch constant arguments to `defface`. Other uses (themes, font-lock, computed text properties, non-constant arguments to defface, etc) aren't caught; that would require a run-time warning.

Anyway, we're done with :reverse-video, thanks everyone!